.clearfix {
  display: block;
  zoom: 1;
}
.clearfix:after {
  content: " ";
  display: block;
  font-size: 0;
  height: 0;
  clear: both;
  visibility: hidden;
}
.link-default {
  text-decoration: none;
  outline: none;
}
.hide {
  opacity: 0;
  visibility: hidden;
}
.show {
  opacity: 1;
  visibility: visible;
}
/** animate **/
@-webkit-keyframes bounce {
  0%,
  20%,
  50%,
  80%,
  100% {
    -webkit-transform: translateY(0);
  }
  40% {
    -webkit-transform: translateY(-30px);
  }
  60% {
    -webkit-transform: translateY(-15px);
  }
}
@keyframes bounce {
  0%,
  20%,
  50%,
  80%,
  100% {
    transform: translateY(0);
  }
  40% {
    transform: translateY(-30px);
  }
  60% {
    transform: translateY(-15px);
  }
}
.flex {
  display: -webkit-flex;
  display: -moz-flex;
  display: -ms-flex;
  display: -o-flex;
  display: flex;
}
.scaleRotateAnimateDisplay {
  -webkit-transform: scale(1) rotate(180deg);
  -moz-transform: scale(1) rotate(180deg);
  -o-transform: scale(1) rotate(180deg);
  transform: scale(1) rotate(180deg);
}
.scaleRotateAnimateDisplayN {
  -webkit-transform: scale(0) rotate(0deg);
  -moz-transform: scale(0) rotate(0deg);
  -o-transform: scale(0) rotate(0deg);
  transform: scale(0) rotate(0deg);
}
.opacityDisplay {
  opacity: 0;
  visibility: hidden;
}
.couponBg {
  background: #ffbd27;
  background: -moz-linear-gradient(top, #ffbd27 0%, #ff6d00 99%);
  background: -webkit-linear-gradient(top, #ffbd27 0%, #ff6d00 99%);
  background: linear-gradient(to bottom, #ffbd27 0%, #ff6d00 99%);
  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#ffbd27', endColorstr='#ff6d00', GradientType=0);
}
.material_checkbox {
  display: -webkit-flex;
  display: -moz-flex;
  display: -ms-flex;
  display: -o-flex;
  display: flex;
  -webkit-flex-direction: row;
  -moz-flex-direction: row;
  -ms-flex-direction: row;
  -o-flex-direction: row;
  flex-direction: row;
  -webkit-align-items: center;
  -moz-align-items: center;
  -ms-align-items: center;
  -o-align-items: center;
  align-items: center;
  -webkit-justify-content: flex-start;
  -moz-justify-content: flex-start;
  -ms-justify-content: flex-start;
  -o-justify-content: flex-start;
  justify-content: flex-start;
  position: relative;
  cursor: pointer;
  -webkit-transition: all 0.2s ease;
  -moz-transition: all 0.2s ease;
  -o-transition: all 0.2s ease;
  transition: all 0.2s ease;
}
.material_checkbox .checkbox {
  position: relative;
  cursor: pointer;
  margin-right: 8px;
  border-radius: 0;
}
.material_checkbox .checkbox:before {
  content: "";
  position: absolute;
  left: 0;
  z-index: 1;
  width: 10px;
  height: 10px;
  border: 2px solid #363636;
  border-radius: 0;
  -webkit-transition: all 0.2s ease-in-out;
  -moz-transition: all 0.2s ease-in-out;
  -o-transition: all 0.2s ease-in-out;
  transition: all 0.2s ease-in-out;
}
.material_checkbox .checkbox:after {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 14px;
  height: 14px;
  background: #f2f2f2;
  border-radius: 0;
  box-shadow: none;
  border: 0;
  cursor: pointer;
}
.material_checkbox .checkbox:checked:before {
  height: 6px;
  border-color: #ffbd27;
  border-top-style: none;
  border-right-style: none;
  -webkit-transform: rotate(-45deg);
  -moz-transform: rotate(-45deg);
  -o-transform: rotate(-45deg);
  transform: rotate(-45deg);
}
.material_radio input[type="radio"] {
  display: none;
}
.material_radio input[type="radio"] + label {
  cursor: pointer;
}
.material_radio input[type="radio"] + label::before {
  transition: all 250ms cubic-bezier(0.4, 0.25, 0.3, 1);
  content: "";
  width: 8px;
  height: 8px;
  border-radius: 50%;
  background-color: #363636;
  border: 0px solid #363636;
  font-size: 0;
  position: absolute;
  bottom: 10px;
  left: 10px;
  transform: translate(-50%, 50%);
}
.material_radio input[type="radio"] + label::after {
  transition: all 250ms cubic-bezier(0.4, 0.25, 0.3, 1);
  content: "";
  width: 0;
  height: 0;
  border-radius: 50%;
  background-color: #363636;
  position: absolute;
  bottom: 10px;
  left: 10px;
  transform: translate(-50%, 50%);
}
.material_radio input[type="radio"]:checked + label::before {
  background-color: transparent;
  width: 16px;
  height: 16px;
  border-width: 2px;
}
.material_radio input[type="radio"]:checked + label::after {
  width: 8px;
  height: 8px;
}
.noScrollRow {
  /* Works on Firefox */
  scrollbar-width: 0;
  scrollbar-color: transparent;
  /* Works on Chrome, Edge, and Safari */
}
.noScrollRow::-webkit-scrollbar {
  height: 0px;
}
.noScrollRow::-webkit-scrollbar-track {
  background: transparent;
}
.noScrollRow::-webkit-scrollbar-thumb {
  background-color: transparent;
}
.op_option_w:before {
  opacity: 1 !important;
  visibility: visible !important;
  -webkit-transform: translateX(0) !important;
  -moz-transform: translateX(0) !important;
  -o-transform: translateX(0) !important;
  transform: translateX(0) !important;
}
.op_option_w .purchase_options {
  opacity: 1 !important;
  visibility: visible !important;
  -webkit-transform: translateX(0) !important;
  -moz-transform: translateX(0) !important;
  -o-transform: translateX(0) !important;
  transform: translateX(0) !important;
}
/***** 購買方案下載視窗 *****/
#option_windows {
  display: none;
  position: fixed;
  width: 100%;
  height: 100%;
  z-index: 100;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  -webkit-transition: all 0.2s ease;
  -moz-transition: all 0.2s ease;
  -o-transition: all 0.2s ease;
  transition: all 0.2s ease;
  background: rgba(0, 0, 0, 0.7);
}
#option_windows .purchase_options {
  position: absolute;
  background: rgba(255, 255, 255, 0.9);
  width: 100%;
  height: 100%;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  z-index: 100;
  margin: auto;
  overflow: hidden;
  opacity: 0;
  visibility: hidden;
  -webkit-transform: translateX(50%);
  -moz-transform: translateX(50%);
  -o-transform: translateX(50%);
  transform: translateX(50%);
  -webkit-transition: all 0.2s ease;
  -moz-transition: all 0.2s ease;
  -o-transition: all 0.2s ease;
  transition: all 0.2s ease;
  display: -webkit-flex;
  display: -moz-flex;
  display: -ms-flex;
  display: -o-flex;
  display: flex;
  -webkit-flex-direction: column;
  -moz-flex-direction: column;
  -ms-flex-direction: column;
  -o-flex-direction: column;
  flex-direction: column;
  -webkit-align-items: flex-start;
  -moz-align-items: flex-start;
  -ms-align-items: flex-start;
  -o-align-items: flex-start;
  align-items: flex-start;
  -webkit-justify-content: flex-start;
  -moz-justify-content: flex-start;
  -ms-justify-content: flex-start;
  -o-justify-content: flex-start;
  justify-content: flex-start;
  gap: 24px;
  background: #F7F7F7;
}
#option_windows .purchase_options .h2_header {
  display: -webkit-flex;
  display: -moz-flex;
  display: -ms-flex;
  display: -o-flex;
  display: flex;
  -webkit-flex-direction: row;
  -moz-flex-direction: row;
  -ms-flex-direction: row;
  -o-flex-direction: row;
  flex-direction: row;
  -webkit-align-items: center;
  -moz-align-items: center;
  -ms-align-items: center;
  -o-align-items: center;
  align-items: center;
  -webkit-justify-content: center;
  -moz-justify-content: center;
  -ms-justify-content: center;
  -o-justify-content: center;
  justify-content: center;
  width: 100%;
  font-size: 18px;
  box-shadow: inset 0px -2px 0px #f2f2f2;
  height: 55px;
  box-sizing: border-box;
  background: #FFFFFF;
  z-index: 1;
  top: 0;
  position: sticky;
}
#option_windows .purchase_options .h2_header .icon {
  top: 20px;
  left: 20px;
  position: fixed;
}
#option_windows .purchase_options .content {
  width: 100%;
  box-sizing: border-box;
  padding: 0px 16px;
}
#option_windows .purchase_options .content h2 {
  font-weight: 700;
  font-size: 18px;
  color: #363636;
  margin-bottom: 16px;
}
#option_windows .purchase_options .content .purchase_option_list {
  display: -webkit-flex;
  display: -moz-flex;
  display: -ms-flex;
  display: -o-flex;
  display: flex;
  -webkit-flex-direction: column;
  -moz-flex-direction: column;
  -ms-flex-direction: column;
  -o-flex-direction: column;
  flex-direction: column;
  -webkit-align-items: flex-start;
  -moz-align-items: flex-start;
  -ms-align-items: flex-start;
  -o-align-items: flex-start;
  align-items: flex-start;
  -webkit-justify-content: center;
  -moz-justify-content: center;
  -ms-justify-content: center;
  -o-justify-content: center;
  justify-content: center;
  gap: 12px;
  width: 100%;
}
#option_windows .purchase_options .content .purchase_option_list .purchase_option {
  background: #FFFFFF;
  padding: 16px;
  gap: 16px;
  border-radius: 10px;
  width: 100%;
  box-sizing: border-box;
}
#option_windows .purchase_options .content .purchase_option_list .purchase_option .title {
  font-weight: 700;
  font-size: 16px;
  line-height: 19px;
  color: #363636;
  float: left;
}
#option_windows .purchase_options .content .purchase_option_list .purchase_option .price_area {
  margin-right: 12px;
  margin-bottom: 16px;
}
#option_windows .purchase_options .content .purchase_option_list .purchase_option .price_area .percentage {
  background: #FFBD27;
  padding: 4px 8px;
  color: #FFFFFF;
  font-size: 12px;
  width: fit-content;
  margin-right: 4px;
}
#option_windows .purchase_options .content .purchase_option_list .purchase_option .price_area .original_price {
  font-size: 18px;
  font-weight: 700;
  text-decoration: line-through;
  color: #DDDDDD;
  margin-right: 4px;
}
#option_windows .purchase_options .content .purchase_option_list .purchase_option .price_area .currency,
#option_windows .purchase_options .content .purchase_option_list .purchase_option .price_area .price {
  font-weight: 700;
  font-size: 20px;
  color: #FFBD27;
}
#option_windows .purchase_options .content .purchase_option_list .purchase_option .qty {
  float: right;
  display: flex;
  width: 100%;
  margin-bottom: 4px;
}
#option_windows .purchase_options .content .purchase_option_list .purchase_option .qty .title {
  margin-right: 10px;
  font-size: 14px;
}
#option_windows .purchase_options .content .purchase_option_list .purchase_option .qty .input_area {
  display: flex;
  flex-direction: row;
  align-items: center;
}
#option_windows .purchase_options .content .purchase_option_list .purchase_option .qty .input_area input {
  border: none;
  text-align: center;
  width: 60px;
}
#option_windows .purchase_options .content .purchase_option_list .purchase_option .qty .input_area button {
  cursor: pointer;
  border: 0;
  font-weight: 400;
  font-size: 14px;
  display: flex;
  align-items: center;
  justify-content: center;
  background: #F2F2F2;
  color: #363636;
  width: 30px;
  height: 30px;
}
#option_windows .purchase_options .content .purchase_option_list .purchase_option .description {
  display: -webkit-flex;
  display: -moz-flex;
  display: -ms-flex;
  display: -o-flex;
  display: flex;
  -webkit-flex-direction: column;
  -moz-flex-direction: column;
  -ms-flex-direction: column;
  -o-flex-direction: column;
  flex-direction: column;
  -webkit-align-items: flex-start;
  -moz-align-items: flex-start;
  -ms-align-items: flex-start;
  -o-align-items: flex-start;
  align-items: flex-start;
  -webkit-justify-content: flex-start;
  -moz-justify-content: flex-start;
  -ms-justify-content: flex-start;
  -o-justify-content: flex-start;
  justify-content: flex-start;
  float: left;
  gap: 8px;
  font-size: 14px;
  font-weight: 400;
  width: 100%;
}
#option_windows .purchase_options .content .purchase_option_list .purchase_option .description h2 {
  font-weight: 300;
  font-size: 14px;
  line-height: 16px;
}
#option_windows .purchase_options .content .purchase_option_list .purchase_option .grey_notice {
  display: -webkit-flex;
  display: -moz-flex;
  display: -ms-flex;
  display: -o-flex;
  display: flex;
  -webkit-flex-direction: row;
  -moz-flex-direction: row;
  -ms-flex-direction: row;
  -o-flex-direction: row;
  flex-direction: row;
  -webkit-align-items: center;
  -moz-align-items: center;
  -ms-align-items: center;
  -o-align-items: center;
  align-items: center;
  -webkit-justify-content: center;
  -moz-justify-content: center;
  -ms-justify-content: center;
  -o-justify-content: center;
  justify-content: center;
  flex-shrink: 0;
  padding: 10px 20px;
  float: right;
  background: #C4C4C4;
  border-radius: 1000px;
  font-size: 14px;
  color: #FFFFFF;
}
#option_windows .purchase_options .purchase_area {
  width: 100%;
  height: fit-content;
  background: #FFFFFF;
  bottom: 0;
  position: fixed;
  padding: 15px;
  box-sizing: border-box;
}
#option_windows .purchase_options .purchase_area .button {
  display: -webkit-flex;
  display: -moz-flex;
  display: -ms-flex;
  display: -o-flex;
  display: flex;
  -webkit-flex-direction: row;
  -moz-flex-direction: row;
  -ms-flex-direction: row;
  -o-flex-direction: row;
  flex-direction: row;
  -webkit-align-items: center;
  -moz-align-items: center;
  -ms-align-items: center;
  -o-align-items: center;
  align-items: center;
  -webkit-justify-content: center;
  -moz-justify-content: center;
  -ms-justify-content: center;
  -o-justify-content: center;
  justify-content: center;
  background: #FFFFFF;
  width: 100%;
  z-index: 150;
  gap: 10px;
  font-size: 0px;
}
#option_windows .purchase_options .purchase_area .button form {
  display: unset;
  width: 50%;
}
#option_windows .purchase_options .purchase_area .button form .add_to_cart_style {
  padding: 20px;
  border: 2px solid #FFBD27;
  border-radius: 6px;
  margin-right: 12px;
  font-weight: 400;
  font-size: 18px;
  color: #F6AB00;
  background: #FFFFFF;
  width: 100%;
}
#option_windows .purchase_options .purchase_area .button form .add_to_cart_style:hover {
  color: #F6AB00;
  border: 2px solid rgb(255, 234, 0);
  background: rgba(255, 189, 39, 0.2);
}
#option_windows .purchase_options .purchase_area .button form .add_to_cart_style.disable {
  cursor: default;
  border: 2px solid #C4C4C4;
  border-radius: 6px;
  color: #C4C4C4;
}
#option_windows .purchase_options .purchase_area .button form .add_to_cart_style.disable:hover {
  cursor: default;
  background: #FFFFFF;
  border-color: #C4C4C4;
  color: #C4C4C4;
}
#option_windows .purchase_options .purchase_area .button .buy_now_btn,
#option_windows .purchase_options .purchase_area .button .buy_now_warning {
  width: 50%;
  padding: 20px;
  border: 2px solid #FFBD27;
  border-radius: 6px;
  font-weight: 400;
  font-size: 18px;
  background: #FFBD27;
  color: #FFFFFF;
}
#option_windows .purchase_options .purchase_area .button .buy_now_btn:hover,
#option_windows .purchase_options .purchase_area .button .buy_now_warning:hover {
  border: 2px solid rgb(255, 234, 0);
  background: rgb(255, 234, 0);
}
#option_windows .purchase_options .purchase_area .button .buy_now_btn.disable,
#option_windows .purchase_options .purchase_area .button .buy_now_warning.disable {
  cursor: default;
  background: #C4C4C4;
  border: 2px solid #C4C4C4;
  border-radius: 6px;
  color: #FFFFFF;
}
@media (max-width: 580px) {
  #option_windows {
    display: none;
    position: fixed;
    width: 100%;
    height: 100%;
    z-index: 100;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    -webkit-transition: all 0.2s ease;
    -moz-transition: all 0.2s ease;
    -o-transition: all 0.2s ease;
    transition: all 0.2s ease;
    background: rgba(0, 0, 0, 0.7);
  }
  #option_windows .purchase_options {
    gap: 16px;
  }
  #option_windows .purchase_options .h2_header {
    display: -webkit-flex;
    display: -moz-flex;
    display: -ms-flex;
    display: -o-flex;
    display: flex;
    -webkit-flex-direction: row;
    -moz-flex-direction: row;
    -ms-flex-direction: row;
    -o-flex-direction: row;
    flex-direction: row;
    -webkit-align-items: center;
    -moz-align-items: center;
    -ms-align-items: center;
    -o-align-items: center;
    align-items: center;
    -webkit-justify-content: center;
    -moz-justify-content: center;
    -ms-justify-content: center;
    -o-justify-content: center;
    justify-content: center;
    width: 100%;
    height: 10%;
  }
  #option_windows .purchase_options .h2_header .icon {
    top: 20px;
    left: 20px;
    position: fixed;
    color: #363636;
  }
  #option_windows .purchase_options .content {
    width: 100%;
    box-sizing: border-box;
    padding: 0px 16px;
    height: 70%;
  }
  #option_windows .purchase_options .content h2 {
    font-weight: 700;
    font-size: 18px;
    color: #363636;
  }
  #option_windows .purchase_options .content .purchase_option_list {
    display: -webkit-flex;
    display: -moz-flex;
    display: -ms-flex;
    display: -o-flex;
    display: flex;
    -webkit-flex-direction: column;
    -moz-flex-direction: column;
    -ms-flex-direction: column;
    -o-flex-direction: column;
    flex-direction: column;
    -webkit-align-items: flex-start;
    -moz-align-items: flex-start;
    -ms-align-items: flex-start;
    -o-align-items: flex-start;
    align-items: flex-start;
    -webkit-justify-content: flex-start;
    -moz-justify-content: flex-start;
    -ms-justify-content: flex-start;
    -o-justify-content: flex-start;
    justify-content: flex-start;
    gap: 12px;
    width: 100%;
    height: 100%;
    overflow: scroll;
  }
  #option_windows .purchase_options .content .purchase_option_list .purchase_option .title {
    font-size: 14px;
    line-height: 24px;
    width: 70%;
    margin-bottom: 8px;
  }
  #option_windows .purchase_options .content .purchase_option_list .purchase_option .price_area {
    display: -webkit-flex;
    display: -moz-flex;
    display: -ms-flex;
    display: -o-flex;
    display: flex;
    -webkit-flex-direction: column;
    -moz-flex-direction: column;
    -ms-flex-direction: column;
    -o-flex-direction: column;
    flex-direction: column;
    -webkit-align-items: flex-start;
    -moz-align-items: flex-start;
    -ms-align-items: flex-start;
    -o-align-items: flex-start;
    align-items: flex-start;
    -webkit-justify-content: flex-start;
    -moz-justify-content: flex-start;
    -ms-justify-content: flex-start;
    -o-justify-content: flex-start;
    justify-content: flex-start;
    width: 100%;
  }
  #option_windows .purchase_options .content .purchase_option_list .purchase_option .price_area .origin_price {
    text-decoration: line-through;
    color: #DDDDDD;
  }
  #option_windows .purchase_options .content .purchase_option_list .purchase_option .qty .input_area button {
    width: 24px;
    height: 24px;
  }
  #option_windows .purchase_options .content .purchase_option_list .purchase_option .description p {
    font-size: 12px;
  }
  #option_windows .purchase_options .purchase_area {
    height: 13%;
  }
  #option_windows .purchase_options .purchase_area .button form .add_to_cart_style {
    display: -webkit-flex;
    display: -moz-flex;
    display: -ms-flex;
    display: -o-flex;
    display: flex;
    -webkit-flex-direction: row;
    -moz-flex-direction: row;
    -ms-flex-direction: row;
    -o-flex-direction: row;
    flex-direction: row;
    -webkit-align-items: center;
    -moz-align-items: center;
    -ms-align-items: center;
    -o-align-items: center;
    align-items: center;
    -webkit-justify-content: center;
    -moz-justify-content: center;
    -ms-justify-content: center;
    -o-justify-content: center;
    justify-content: center;
    font-size: 14px;
    padding: 12px;
    gap: 6px;
  }
  #option_windows .purchase_options .purchase_area .button .buy_now_btn,
  #option_windows .purchase_options .purchase_area .button .buy_now_warning {
    font-size: 14px;
    padding: 12px;
  }
}
